Bug 841352 - Review Request: ibus-table-wubi-98 - Wubi 98 table for ibus
Review Request: ibus-table-wubi-98 - Wubi 98 table for ibus
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2012-07-18 14:36 EDT by Pierre-Yves Luyten
Modified: 2015-07-21 08:27 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-09 16:21:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pierre-Yves Luyten 2012-07-18 14:36:14 EDT
Spec URL: http://py.luyten.fr/Publique/Fedora/ibus-table-wubi-98.spec

SRPM URL: http://py.luyten.fr/Publique/Fedora/ibus-table-wubi-98-1-1.2.0.20091227.fc17.src.rpm

Description: This ibus-table allows to use Wubi method (1998 version) to input chinese characters. Fedora already includes two ibus-table for 1986 version. The source package only generates an ibus-table from txt file. RPM installs two files, ibus-table and associated icon.

Fedora Account System Username: pyluyten
Comment 1 Pierre-Yves Luyten 2012-07-18 14:44:52 EDT
This is the first package I'm building, thus I need a sponsor. 

Wubi 1998 version might be less used than 1986, still I think it would be great for lot of people. Also, installing this without package is really un-pleasant (the hardest might be to find the right link to source on the web).
I was busy on other open-source stuff, but I shall provide koji builds sooon.

I did small commits for gnome but not directly for fedora, mostly documentation. Also a small gnote patch https://bugzilla.gnome.org/show_bug.cgi?id=639938.
Comment 2 Caius Chance 2012-07-21 04:31:10 EDT
AFAIK there is a patent legislation in China which protects IP for 15 years. As per this table is created in 1998 (or it actually created before that?), you may have to wait until it expires in 2013.

FYI, you can always create your own RPM file, but all the consequence of your redistribution will be up on your shoulder.
Comment 3 Pierre-Yves Luyten 2012-07-21 04:56:48 EDT
Thanks for information, I shall remove this soon
I was probably misguided 

* google ibus project still distributes it ( i don't mean they should, I just though it was safe)
* http://code.google.com/p/ibus/wiki/ChineseTableLicenseAuditing : one comment says "Wubi98's patent application is withdrawed" with source http://www.soopat.com/Patent/95105931 . 

But if this comment is wrong, sorry for my request, we might close it
Comment 4 Caius Chance 2012-07-21 05:32:06 EDT
You should not rely on .com commercial web sites, check up the government database instead- [1].

Compare to the 85 patent application, the 98 has no approval document while 85 has - [2].

Due to the database query page required me to install something before I can view the documents, I decided not to do so. I cannot confirm if the patent is valid at this stage personally.

[1] - http://211.157.104.87:8080/sipo/zljs/hyjs-yx-new.jsp?recid=CN95105931.9&leixin=fmzl&title=%BD%CC%D3%FD%B9%E6%B7%B6%CE%E5%B1%CA%D7%D6%D0%CD%BA%BA%D7%D6%CA%E4%C8%EB%B7%A8%BC%B0%C6%E4%D7%B0%D6%C3&ipc=G06F3/023#

[2] - http://211.157.104.87:8080/sipo/zljs/hyjs-yx-new.jsp?recid=CN85100837&leixin=fmzl&title=%D3%C5%BB%AF%CE%E5%B1%CA%D7%D6%D0%CD%B1%E0%C2%EB%B7%A8%BC%B0%C6%E4%BC%FC%C5%CC&ipc=G06F3/023
Comment 5 Parag AN(पराग) 2014-03-07 01:13:08 EST
Please provide any updates in next 15 days. Else lets close this review.
Comment 6 Pierre-Yves Luyten 2014-03-09 16:21:26 EDT
Right, upstream is not moving, closing

Note You need to log in before you can comment on or make changes to this bug.